import req from "@/service/http";

// 获取顾问剩余份数
export const getRemainNum = () => {
  return req.get("consultant/surplusNum");
};

// 创建顾问订单
export const create = param => {
  return req.post("consultant/order/create", param);
};

// 创建顾问订单-发起支付
export const goPay = param => {
  return req.post("consultant/order/gopay", param);
};

// 创建顾问订单-提交咨询问卷
export const subCulQus = param => {
  return req.post("consultant/questionnaire/submit", param);
};

// 创建顾问订单-顾问建议
export const getCulsuggestion = param => {
  return req.get("consultant/suggestion/detail", param);
};

// 创建顾问订单-查询顾问信息
export const getCulInfo = param => {
  return req.post("consultant/info", param);
};

// 查询顾问订单信息
export const getCulOrder = param => {
  return req.get("consultant/order/query", param);
};
// 查询顾问订单支付状态
export const getPayState = param => {
  return req.post("/consultant/order/pay-state", param);
};
// 获取顾问
export const getCulState = param => {
  return req.post("user/consultant", param);
};
